Name:           python-kiwisolver
Version:        1.4.1
Release:        2
Summary:        A fast implementation of the Cassowary constraint solver
License:        BSD-3-Clause
URL:            https://github.com/nucleic/kiwi
Source0:        https://files.pythonhosted.org/packages/source/k/kiwisolver/kiwisolver-%{version}.tar.gz
BuildRequires:  gcc-c++ python3-cppy python3-pip python3-setuptools_scm python3-wheel

%description
Kiwi is an efficient C++ implementation of the Cassowary constraint solving algorithm.
Kiwi is an implementation of the algorithm based on the seminal Cassowary paper. It is
not a refactoring of the original C++ solver. Kiwi has been designed from the ground
up to be lightweight and fast.

%package -n     python3-kiwisolver
Summary:        Kiwisolver for Python 3 Package
%python_provide python3-kiwisolver
BuildRequires:  python3-devel python3-setuptools python3-pytest

%description -n python3-kiwisolver
Kiwisolver for Python 3 Package.

%prep
%autosetup -n kiwisolver-%{version} -p1
rm -rf kiwisolver.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH="%{buildroot}%{python3_sitearch}" py.test-3 py/tests/

%files -n python3-kiwisolver
%doc README.rst LICENSE
%{python3_sitearch}/kiwisolver/*
%{python3_sitearch}/kiwisolver-%{version}-*.egg-info

%changelog
* Thu Nov 10 2022 yaoxin <yaoxin30@h-partners.com> - 1.4.1-2
- Change Source

* Mon Oct 31 2022 yaoxin <yaoxin30@h-partners.com> - 1.4.1-1
- Upgrade to version 1.4.1

* Wed Oct 21 2020 Ge Wang <wangge20@huawei.com> - 1.1.0-4
- Remove python2

* Wed Mar 11 2020 gulining<gulining1@huawei.com> - 1.1.0-3
- Add python2

* Mon Mar 9 2020 Ling Yang <lingyang2@huawei.com> - 1.1.0-2
- Fixed format for spec file

* Tue Nov 05 2019 openEuler Buildteam<buildteam@openeuler.org> - 1.1.0-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:Package Init
